---
title: RTCIceParameters.password
slug: Web/API/RTCIceParameters/password
tags:
  - API
  - Candidates
  - Connectivity
  - ICE
  - Negotiation
  - Property
  - RTCIceParameters
  - Reference
  - WebRTC
  - WebRTC API
  - password
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong>{{domxref("RTCIceParameters")}}</strong> dictionary's <strong><code>password</code></strong> property specifies the ICE password that, in tandem with the {{domxref("RTCIceParameters.usernameFragment", "usernameFragment")}}, uniquely identifies an ICE session for its entire duration.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>password</em> = <em>RTCIceParameters</em>.password;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} containing the password that corresponds to the transport's <code>usernameFragment</code> string</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtciceparameters-password', 'RTCIceParameters.password')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceParameters.password")}}</p>
